diff options
author | Linus Torvalds <torvalds@g5.osdl.org> | 2005-07-08 10:57:21 -0700 |
---|---|---|
committer | Linus Torvalds <torvalds@g5.osdl.org> | 2005-07-08 10:57:21 -0700 |
commit | b33e9666082ce692e64ccfd688dc2a5075566f75 (patch) | |
tree | c4c5637417a6e7c3e4c7d38b82e73cf4ef1c09fa /git-resolve-script | |
parent | acb46f8769dd0031a98a284e06ebc5a09b151bfd (diff) | |
download | git-b33e9666082ce692e64ccfd688dc2a5075566f75.tar.gz |
Add "git-sh-setup-script" for common git shell script setup
It sets up the normal git environment variables and a few helper
functions (currently just "die()"), and returns ok if it all looks like
a git archive. So use it something like
. git-sh-setup-script || die "Not a git archive"
to make the rest of the git scripts more careful and readable.
Diffstat (limited to 'git-resolve-script')
-rwxr-xr-x | git-resolve-script | 14 |
1 files changed, 5 insertions, 9 deletions
diff --git a/git-resolve-script b/git-resolve-script index bf2fb2d431..03c15a98b0 100755 --- a/git-resolve-script +++ b/git-resolve-script @@ -4,13 +4,12 @@ # # Resolve two trees. # +. git-sh-setup-script || die "Not a git archive" + head=$(git-rev-parse --revs-only "$1") merge=$(git-rev-parse --revs-only "$2") merge_repo="$3" -: ${GIT_DIR=.git} -: ${GIT_OBJECT_DIRECTORY="${SHA1_FILE_DIRECTORY-"$GIT_DIR/objects"}"} - dropheads() { rm -f -- "$GIT_DIR/MERGE_HEAD" \ "$GIT_DIR/LAST_MERGE" || exit 1 @@ -21,8 +20,7 @@ dropheads() { # but we do want it. # if [ -z "$head" -o -z "$merge" -o -z "$merge_repo" ]; then - echo "git-resolve-script <head> <remote> <merge-repo-name>" - exit 1 + die "git-resolve-script <head> <remote> <merge-repo-name>" fi dropheads @@ -31,8 +29,7 @@ echo $merge > "$GIT_DIR"/LAST_MERGE common=$(git-merge-base $head $merge) if [ -z "$common" ]; then - echo "Unable to find common commit between" $merge $head - exit 1 + die "Unable to find common commit between" $merge $head fi if [ "$common" == "$merge" ]; then @@ -57,8 +54,7 @@ if [ $? -ne 0 ]; then git-merge-cache -o git-merge-one-file-script -a if [ $? -ne 0 ]; then echo $merge > "$GIT_DIR"/MERGE_HEAD - echo "Automatic merge failed, fix up by hand" - exit 1 + die "Automatic merge failed, fix up by hand" fi result_tree=$(git-write-tree) || exit 1 fi |